package net.cobem.grizzly.communication.composers.wired;

import net.cobem.grizzly.communication.EventResponse;
import net.cobem.grizzly.communication.HeaderLibrary;
import net.cobem.grizzly.habbohotel.rooms.items.FloorItem;

import java.util.List;

public class SendWiredTriggerDialogComposer {
    public static EventResponse compose(int First, FloorItem RoomItem, List<FloorItem> LinkedItems, String Data, int Second, int Third, int Fourth, int Fifth, int Sixth) {
        EventResponse Message = new EventResponse();

        Message.Initialize(HeaderLibrary.SendWiredTriggerDialogEvent);

        Message.addBool(false);
        Message.addInt(First);
        Message.addInt(LinkedItems.size()); // List Count

        for(FloorItem Item : LinkedItems) {
            Message.addInt(Item.ID);
        }

        Message.addInt(RoomItem.getBase().Sprite);
        Message.addInt(RoomItem.ID);
        Message.addString("");
        Message.addInt(Second);
        Message.addInt(Third);
        Message.addInt(Fourth);
        Message.addInt(Fifth);
        Message.addInt(Sixth);
        Message.addInt(0);

        return Message;
    }
}
